### Hierarchy

- RuleComponent

### Implements

- OnInit

## Index

### Inputs

- addNewGroupLabel
- addNewRuleLabel
- columnOperands
- columns
- removeRuleLabel
- rule

### Outputs

- addRule
- removeRule
- ruleChange

### Constructors

- constructor

### Properties

- addNewGroupLabel
- addNewRuleLabel
- addRule
- columnOperands
- columns
- dropdownColumns
- i18n
- removeRule
- removeRuleLabel
- rule
- ruleChange

### Accessors

- isRule
- isRuleGroup

### Methods

- getColumnOperands
- getColumns
- getTemplate
- hasTemplate
- ngOnInit

## Constructors

### constructor

- new RuleComponent(i18n: I18n): RuleComponent

- - Defined in packages/angular/src/rule-builder/rule.component.ts:94

  #### Parameters

  - ##### i18n: I18n

  #### Returns RuleComponent

## Properties

### addNewGroupLabel

@Input()
addNewGroupLabel: string = ''

- Defined in packages/angular/src/rule-builder/rule.component.ts:77

### addNewRuleLabel

@Input()
addNewRuleLabel: string = ''

- Defined in packages/angular/src/rule-builder/rule.component.ts:76

### addRule

@Output()
addRule: EventEmitter<{ id: string; isGroup?: boolean }> = ...

- Defined in packages/angular/src/rule-builder/rule.component.ts:84

### columnOperands

@Input()
columnOperands: ListItem[] = ...

- Defined in packages/angular/src/rule-builder/rule.component.ts:73

### columns

@Input()
columns: any[] = ...

- Defined in packages/angular/src/rule-builder/rule.component.ts:72

### dropdownColumns

dropdownColumns: ListItem[]

- Defined in packages/angular/src/rule-builder/rule.component.ts:94

### Protected i18n

i18n: I18n

### removeRule

@Output()
removeRule: EventEmitter<string> = ...

- Defined in packages/angular/src/rule-builder/rule.component.ts:82

### removeRuleLabel

@Input()
removeRuleLabel: string = ''

- Defined in packages/angular/src/rule-builder/rule.component.ts:75

### rule

@Input()
rule: any

- Defined in packages/angular/src/rule-builder/rule.component.ts:79

### ruleChange

@Output()
ruleChange: EventEmitter<any> = ...

- Defined in packages/angular/src/rule-builder/rule.component.ts:80

## Accessors

### isRule

@HostBinding({"hostPropertyName":"'class.iot--rule-builder-rule'"})

- get isRule(): boolean

- - Defined in packages/angular/src/rule-builder/rule.component.ts:86

  #### Returns boolean

### isRuleGroup

@HostBinding({"hostPropertyName":"'class.iot--rule-builder-rule--group'"})

- get isRuleGroup(): boolean

- - Defined in packages/angular/src/rule-builder/rule.component.ts:90

  #### Returns boolean

## Methods

### getColumnOperands

- getColumnOperands(): any

- - Defined in packages/angular/src/rule-builder/rule.component.ts:114

  #### Returns any

### getColumns

- getColumns(): ListItem[]

- - Defined in packages/angular/src/rule-builder/rule.component.ts:124

  #### Returns ListItem[]

### getTemplate

- getTemplate(): any

- - Defined in packages/angular/src/rule-builder/rule.component.ts:109

  #### Returns any

### hasTemplate

- hasTemplate(): boolean

- - Defined in packages/angular/src/rule-builder/rule.component.ts:104

  #### Returns boolean

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/rule-builder/rule.component.ts:98

  #### Returns void

Generated using TypeDoc